## gmt 4.5.11

=== Makefile ===
#	$Id: Makefile 9923 2012-12-18 20:45:53Z pwessel $
#
#	Copyright (c) 1991-2013 by P. Wessel and W. H. F. Smith
#	See LICENSE.TXT file for copying and redistribution conditions.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; version 2 or any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#		Makefile for GMT Version 4.x
#		GNU, Sys V, and BSD Compatible
#
#	Follow the instructions in this makefile to customize your setup.
#	Commands marked *** are optional
#	1. run configure in the main GMT directory.
#	2. make all
#	3. make suppl    ***
#	4. make examples ***
#
#	Then, if you have the necessary directory permissions:
#
#	5. make install-all
#
#	or any combination of
#
#	make install-gmt
#	make install-suppl
#	make install-data
#	make install-man
#	make install-doc
#
#	When done, clean out directory with "make clean".  To clean
#	the entire build distribution, do "make distclean"
#
#	To uninstall the installed files, try
#
#	make uninstall-all
#
#	or any combination of
#
#	make uninstall-gmt
#	make uninstall-suppl
#	make uninstall-data
#	make uninstall-man
#	make uninstall-doc
#
#	Authors:	Paul Wessel, SOEST, U. of Hawaii
#			Walter H. F. Smith, Lab for Satellite Altimetry, NOAA
#			The GMT Team
#
#	Date:		15-JUL-2011
#-------------------------------------------------------------------------------
#	Get Default Macros
#-------------------------------------------------------------------------------

include src/config.mk	# GMT-specific settings determined by user & install_gmt

#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

.PHONY:		all gmt suppl update gmtmacros \
		install uninstall install-all uninstall-all install-gmt uninstall-gmt \
		install-suppl uninstall-suppl install-data uninstall-data install-man uninstall-man \
		install-doc uninstall-doc examples run-examples animations run-animations clean spotless distclean $(SUPPL)

all:		gmt suppl

help::
		@grep '^#!' Makefile | cut -c3-
#!-------------------- MAKE HELP FOR GMT --------------------
#!
#!make <target>, where <target> can be:
#!
#!all           : Compile both GMT and supplements
#!gmt           : Compile main GMT source only
#!suppl         : Compile supplements only
#!install       : Compile & install GMT and supplements
#!install-gmt   : Compile & install main GMT programs only
#!install-suppl : Compile & install supplements only
#!install-data  : Install GMT data files
#!install-man   : Install man pages
#!install-doc   : Install PDF and HTML documentation
#!install-all   : Compile & install everything, including data, man pages, documentation
#!examples      : Run examples
#!animations    : Run animations
#!spotless      : Clean up and remove created files of all types
#!

install:	install-gmt install-suppl
uninstall:	uninstall-gmt uninstall-suppl

install-all:	install install-data install-man install-doc
uninstall-all:	uninstall uninstall-data uninstall-man uninstall-doc

gmt:		gmtmacros
		cd src ; $(MAKE) all

install-gmt:	gmtmacros
		cd src ; $(MAKE) install

uninstall-gmt:
		cd src ; $(MAKE) uninstall

suppl:		gmtmacros
		cd src ; $(MAKE) libs
		$(MAKE) TARGET=all $(SUPPL)

install-suppl suppl-install:	gmtmacros
		cd src ; $(MAKE) libs
		$(MAKE) TARGET=install $(SUPPL)

uninstall-suppl:
		$(MAKE) TARGET=uninstall $(SUPPL)

gmtmacros:
		@if [ ! -s src/config.mk ]; then \
			echo "src/config.mk is empty - you must rerun configure in the main GMT directory"; \
			exit 1; \
		fi

install-data:
		@if [ ! $(rootdir)/share = $(datadir) ]; then \
			for dir in coast conf cpt custom dbase mgd77 mgg pattern pslib time x2sys; do \
				if [ -d $(rootdir)/share/$$dir ]; then \
					mkdir -p $(datadir)/$$dir; \
					\cp -p `ls -d $(rootdir)/share/$$dir/* | grep -v "\.in$$" | grep -v "^.svn$$"` $(datadir)/$$dir ; \
				fi; \
			done; \
		else \
			echo "Install share directory the same as distribution share directory - nothing copied"; \
		fi

uninstall-data:
		@if [ ! $(rootdir)/share = $(datadir) ]; then \
			\rm -rf $(datadir); \
		else \
			echo "Install share directory the same as distribution share directory - nothing removed"; \
		fi

install-man uninstall-man:
		cd src ; $(MAKE) $@
		$(MAKE) TARGET=$@ $(SUPPL)

install-doc::
		cd doc ; $(MAKE) install

uninstall-doc:
		cd doc ; $(MAKE) uninstall

# Run examples with the binaries from the src directory, not the installation directory.

examples run-examples animations run-animations:
		cd doc/examples; $(MAKE) $@

clean::
		$(MAKE) TARGET=$@ $(SUPPL)
		cd src ; $(MAKE) $@

spotless::
		\rm -f config.cache config.status config.log
		$(MAKE) TARGET=$@ $(SUPPL)
		cd src ; $(MAKE) $@

distclean:	spotless

$(SUPPL):
		@set -e; if [ -d src/$@ ]; then \
			echo "Making $(TARGET) in src/$@"; \
			cd src/$@; $(MAKE) $(TARGET); \
		fi

=== doc/Makefile ===
#	$Id: Makefile 9923 2012-12-18 20:45:53Z pwessel $
#
#	Copyright (c) 1991-2013 by P. Wessel, W. H. F. Smith, R. Scharroo, and J. Luis
#	See LICENSE.TXT file for copying and redistribution conditions.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; version 2 or any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#		Makefile for GMT Version 4 documentation
#
#	Normally, this makefile is activated by the main Makefile in
#	the GMT main directory.  However, you can also issue commands
#	directly to this makefile from within the doc directory.
#
#	Date:		25-MAR-2011

#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

include ../src/config.mk	# GMT-specific settings determined by user & configure

install::
		@if [ . -ef $(docdir) ]; then \
			echo "Install doc directory the same as distribution doc directory - nothing copied"; \
		else \
			mkdir -p $(docdir); \
			cp -pr html pdf examples tutorial $(docdir); \
			rm -rf $(docdir)/examples/{*.ps,*.pdf,*.png} \
				$(docdir)/{*,*/*,*/*/*}/{.gmt*,.svn}; \
		fi

uninstall:
		@if [ . -ef $(docdir) ]; then \
			echo "Install doc directory the same as distribution doc directory - nothing deleted"; \
		else \
			\rm -rf $(docdir); \
		fi

=== src/Makefile ===
#	$Id: Makefile 9945 2012-12-28 16:39:06Z pwessel $
#
#	Copyright (c) 1991-2013 by P. Wessel and W. H. F. Smith
#	See LICENSE.TXT file for copying and redistribution conditions.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; version 2 or any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#		Makefile for GMT Version 4 src directory
#		GNU, Sys V, and BSD Compatible
#
#	Normally, this makefile is activated by the main Makefile in
#	the GMT main directory.  However, you can also issue commands
#	directy to this makefile from within the src directory.
#	First, run configure in the main GMT directory.
#	To compile/link them, try "make init", "make all", and "make install".
#	When done, clean out directory with "make clean".
#	To start installation from scratch, first do "make spotless"
#	To wipe out installed modules, do "make uninstall"
#
#	Authors:	Paul Wessel, SOEST, U. of Hawaii
#			Walter H. F. Smith, Lab for Satellite Altimetry, NOAA
#
#	Date:		20-SEPT-2009

#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

include config.mk	# GMT-specific settings determined by user & configure
include common.mk	# Dependencies

DEFINES		= -DGMT_SHARE_PATH=\"$(GMT_SHARE_PATH)\" -DGMT_GSHHG_PATH=\"$(GSHHG_DIR)\" $(TRIANGLE_D)
INCLUDES	= $(NETCDF_INC) $(GDAL_INC)

LIB_O		= gmt_bcr.o gmt_calclock.o gmt_cdf.o gmt_customio.o gmt_grdio.o gmt_init.o gmt_io.o \
		gmt_map.o gmt_nc.o gmt_notposix.o gmt_proj.o gmt_shore.o gmt_stat.o gmt_support.o gmt_vector.o gmt_version.o

LIBPS_O		= gmt_plot.o

PROGS_O		= blockmean.o blockmedian.o blockmode.o filter1d.o fitcircle.o gmtconvert.o \
		gmtdefaults.o gmtmath.o gmtselect.o gmtset.o grd2cpt.o grd2xyz.o grdblend.o grdcut.o \
		grdclip.o grdedit.o grdfft.o grdfilter.o grdgradient.o grdhisteq.o grdinfo.o grdlandmask.o \
		grdmask.o grdtrack.o grdreformat.o grdmath.o grdpaste.o grdproject.o grdsample.o grdtrend.o \
		grdvolume.o greenspline.o makecpt.o mapproject.o minmax.o nearneighbor.o project.o ps2raster.o \
		sample1d.o spectrum1d.o splitxyz.o surface.o trend1d.o trend2d.o triangulate.o xyz2grd.o

PROGSPS_O	= gmt2rgb.o grdcontour.o grdimage.o grdvector.o grdview.o psbasemap.o psclip.o \
	  	pscoast.o pscontour.o pshistogram.o psimage.o pslegend.o psmask.o psrose.o \
		psscale.o pstext.o pswiggle.o psxy.o psxyz.o

SCRIPTS		= GMT gmt_shell_functions.sh gmtget gmtlogo isogmt psbbox.sh ../gmtswitch
ALLPROGS	= $(SCRIPTS) $(PROGS) $(PROGSPS)

CONFIGS		= config.mk gmt_version.h gmt_notposix.h GMT

MAN1		= GMT.1 gmt_shell_functions.1 gmtget.1 gmtlogo.1 isogmt.1 psbbox.1 \
		$(PROGS_O:.o=.1) $(PROGSPS_O:.o=.1)
MAN3		= pslib.3
MAN5		= gmtcolors.5

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		init $(ALLPROGS)

init:		gmtmacros gmt_version.h gmt_notposix.h GMT

gmtmacros:
		@if [ ! -s config.mk ]; then \
			echo "src/config.mk is empty - you must rerun configure in the main GMT directory"; \
			exit 1; \
		fi

gmt_version.h:	gmt_version.h.in
		@echo "You must first run configure in the main GMT directory"; exit 1

gmt_notposix.h:	gmt_notposix.h.in
		@echo "You must first run configure in the main GMT directory"; exit 1

GMT:		GMT.in
		@echo "You must first run configure in the main GMT directory"; exit 1

install:	all
		$(INSTALL) -d $(bindir)
		$(INSTALL) $(ALLPROGS) $(bindir)
		if [ ! $(libdir) = $(srcdir) ]; then \
			$(INSTALL) -d $(libdir) ; \
			$(INSTALL) -m 644 $(LIBGMTPS:.$(LIBEXT)=.a) $(libdir); \
			if [ ! $(LIBEXT) = a ]; then $(INSTALL) -m 755 $(LIBGMTPS) $(libdir); fi \
		fi
		if [ ! $(includedir) = $(srcdir) ]; then \
			$(INSTALL) -d $(includedir) ; \
			$(INSTALL) -m 644 $(GMT_H) $(PS_H) $(PS_I) $(includedir); \
		fi
		if [ $(LIBEXT) != a ] && [ $(SL) != $(SL_VERSION) ]; then \
			cd $(libdir) ; \
			for lib in $(LIBGMTPS:.$(LIBEXT)=) ; do\
				\mv -f $$lib.$(SL) $$lib.$(SL_VERSION); \
				$(LN_S) $$lib.$(SL_VERSION) $$lib.$(SL); \
			done; \
		fi

uninstall:
		cd $(bindir); \rm -f $(ALLPROGS)
		if [ ! $(libdir) = $(srcdir) ]; then \
			cd $(libdir); \rm -f $(LIBGMTPS) $(LIBGMTPS:.$(LIBEXT)=.a); \
		fi
		if [ ! $(includedir) = $(srcdir) ]; then \
			cd $(includedir); \rm -f $(GMT_H) $(PS_H) $(PS_I); \
		fi

install-man:	$(MAN1) $(MAN3) $(MAN5)
		$(INSTALL) -d $(mandir)/man1 $(mandir)/man3 $(mandir)/man5
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1
		$(INSTALL) -m 644 $(MAN3) $(mandir)/man3
		$(INSTALL) -m 644 $(MAN5) $(mandir)/man5

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)
		cd $(mandir)/man3; \rm -f $(MAN3)
		cd $(mandir)/man5; \rm -f $(MAN5)

clean:
		\rm -f *% *.o *.a *.$(SL) $(PROGS) $(PROGSPS)

spotless::	clean
		\rm -f $(CONFIGS)

distclean:	spotless

#-------------------------------------------------------------------------------
#	object file dependencies
#-------------------------------------------------------------------------------

$(LIB_O) $(PROGS_O):		$(GMT_H)
$(LIBPS_O) $(PROGSPS_O):	$(GMT_H) $(PS_H)
pslib.o:	$(PS_H) gmt_notunix.h gmt_notposix.h gmt_math.h

# Additional unusual dependancies

blockmean.o blockmedian.o blockmode.o:	block_subs.c block_subs.h
gmt_customio.o: gmt_mgg_header2.c gmt_mgg_header2.h gmt_agc_io.c gmt_gdalread.c
gmt_grdio.o:	gmt_grdformats.h
gmt_init.o:	gmt_colornames.h gmt_datums.h gmt_ellipsoids.h gmt_globals.h \
		gmt_keycases.h gmt_keywords.h gmt_media_name.h gmt_media_size.h \
		gmt_unique.h
gmt_map.o gmt_proj.o:	gmt_proj.h
gmt_support.o:	gmt_color_rgb.h gmt_pennames.h
gmtmath.o:	gmtmath.h gmtmath_def.h gmtmath_explain.h
grdmath.o:	grdmath.h grdmath_def.h grdmath_explain.h
grd2xyz.o xyz2grd.o:	gmt_parse_z_io.h
grdreformat.o:	grdreformat.h

# Jonathan Shewchuk's triangulation model (www.cs.cmu.edu/~quake)
# Only used if TRIANGLE_D and TRIANGLE_O are set in config.mk
# Please read README.TRIANGLE in this source directory.

triangle.o:	triangle.c triangle.h
		$(CC) -c $(CFLAGS) -DNO_TIMER -DTRILIBRARY -DREDUCED -DCDT_ONLY $<

# Assembly wrapper for sincos on Dec Alphas
# Only used if ALPHA_SINCOS_O are set in config.mk

alpha-sincos.o:	alpha-sincos.s
		$(AS) -o alpha-sincos.o $<

#-------------------------------------------------------------------------------
#	libraries
#-------------------------------------------------------------------------------

.SUFFIXES:	.$(SL)

libs:		$(LIBGMT)

libpsl.a:	pslib.o
		$(AR) cvur $@ $?
		$(RANLIB) $@

libgmt.a:	$(LIB_O) $(TRIANGLE_O) $(ALPHA_SINCOS_O)
		$(AR) cvur $@ $?
		$(RANLIB) $@

libgmtps.a:	$(LIBPS_O) 
		$(AR) cvur $@ $?
		$(RANLIB) $@

libpsl.$(SL):	libpsl.a
		$(LD) $(LD_OPT) pslib.o $(LIBS) -o $@

libgmt.$(SL):	libgmt.a
		$(LD) $(LD_OPT) $(LIB_O) $(TRIANGLE_O) $(ALPHA_SINCOS_O) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@

libgmtps.$(SL):	libgmtps.a libgmt.$(SL) libpsl.$(SL)
		$(LD) $(LD_OPT) $(LIBPS_O) libgmt.$(SL) libpsl.$(SL) $(LIBS) -o $@

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------

blockmean$(EXE):	blockmean.o
blockmedian$(EXE):	blockmedian.o
blockmode$(EXE):	blockmode.o
filter1d$(EXE):		filter1d.o
fitcircle$(EXE):	fitcircle.o
gmt2rgb$(EXE):		gmt2rgb.o
gmtconvert$(EXE):	gmtconvert.o
gmtdefaults$(EXE):	gmtdefaults.o
gmtmath$(EXE):		gmtmath.o
gmtselect$(EXE):	gmtselect.o
gmtset$(EXE):		gmtset.o
grd2cpt$(EXE):		grd2cpt.o
grd2xyz$(EXE):		grd2xyz.o
grdblend$(EXE):		grdblend.o
grdclip$(EXE):		grdclip.o
grdcontour$(EXE):	grdcontour.o
grdcut$(EXE):		grdcut.o
grdedit$(EXE):		grdedit.o
grdfft$(EXE):		grdfft.o
grdfilter$(EXE):	grdfilter.o
grdgradient$(EXE):	grdgradient.o
grdhisteq$(EXE):	grdhisteq.o
grdimage$(EXE):		grdimage.o
grdinfo$(EXE):		grdinfo.o
grdlandmask$(EXE):	grdlandmask.o
grdmask$(EXE):		grdmask.o
grdmath$(EXE):		grdmath.o
grdpaste$(EXE):		grdpaste.o
grdproject$(EXE):	grdproject.o
grdreformat$(EXE):	grdreformat.o
grdsample$(EXE):	grdsample.o
grdtrack$(EXE):		grdtrack.o
grdtrend$(EXE):		grdtrend.o
grdvector$(EXE):	grdvector.o
grdview$(EXE):		grdview.o
grdvolume$(EXE):	grdvolume.o
greenspline$(EXE):	greenspline.o
makecpt$(EXE):		makecpt.o
mapproject$(EXE):	mapproject.o
minmax$(EXE):		minmax.o
nearneighbor$(EXE):	nearneighbor.o
project$(EXE):		project.o
ps2raster$(EXE):	ps2raster.o
psbasemap$(EXE):	psbasemap.o
psclip$(EXE):		psclip.o
pscoast$(EXE):		pscoast.o
pscontour$(EXE):	pscontour.o
pshistogram$(EXE):	pshistogram.o
psimage$(EXE):		psimage.o
pslegend$(EXE):		pslegend.o
psmask$(EXE):		psmask.o
psrose$(EXE):		psrose.o
psscale$(EXE):		psscale.o
pstext$(EXE):		pstext.o
pswiggle$(EXE):		pswiggle.o
psxy$(EXE):		psxy.o
psxyz$(EXE):		psxyz.o
sample1d$(EXE):		sample1d.o
spectrum1d$(EXE):	spectrum1d.o
splitxyz$(EXE):		splitxyz.o
surface$(EXE):		surface.o
trend1d$(EXE):		trend1d.o
trend2d$(EXE):		trend2d.o
triangulate$(EXE):	triangulate.o
xyz2grd$(EXE):		xyz2grd.o

$(PROGS):	$(LIBGMT)
		$(CC) $(LDFLAGS) $(@:.exe=).o $(GMT_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

$(PROGSPS):	$(LIBGMTPS)
		$(CC) $(LDFLAGS) $(@:.exe=).o $(GMTPS_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

=== doc/examples/Makefile ===
.PHONY:
	examples run-examples animations run-animations

EX=example_01.ps example_02.ps example_03.ps example_03a.ps example_03b.ps example_03c.ps example_03d.ps example_03e.ps example_03f.ps \
example_04.ps example_04c.ps example_05.ps example_06.ps \
example_07.ps example_08.ps example_09.ps example_10.ps example_11.ps example_12.ps \
example_13.ps example_14.ps example_15.ps example_16.ps example_17.ps example_18.ps \
example_19.ps example_20.ps example_21.ps example_22.ps example_23.ps example_24.ps \
example_25.ps example_26.ps example_27.ps example_28.ps example_29.ps example_30.ps
ANIM=anim_01.ps anim_02.ps anim_03.ps anim_04.ps

examples run-examples:	$(EX)
animations run-animations:	$(ANIM)
extests tests test:	$(EX) $(ANIM)
	run_ex_tests.sh $(EX) $(ANIM)
failed:	$(EX) $(ANIM)
	run_ex_tests.sh `cut -d: -f1 fail_count.d`

clean spotless:
	rm -f *.ps *.png *.pdf *.tex

$(EX) $(ANIM):	functions.sh
example_01.ps: ex01/job01.sh ex01/osu91a1f_16.nc
	cd ex01 ; ./job01.sh
example_02.ps: ex02/job02.sh ex02/HI_geoid2.nc ex02/HI_topo2.nc
	cd ex02 ; ./job02.sh
example_03.ps example_03a.ps example_03b.ps example_03c.ps example_03d.ps example_03e.ps example_03f.ps: ex03/job03.sh ex03/sat.xyg
	cd ex03 ; ./job03.sh
example_04.ps: ex04/job04.sh ex04/HI_geoid4.nc ex04/HI_topo4.nc ex04/geoid.cpt ex04/topo.cpt
	cd ex04 ; ./job04.sh
example_04c.ps: ex04/job04c.sh ex04/HI_geoid4.nc ex04/HI_topo4.nc ex04/geoid.cpt ex04/topo.cpt
	cd ex04 ; ./job04c.sh
example_05.ps: ex05/job05.sh
	cd ex05 ; ./job05.sh
example_06.ps: ex06/job06.sh ex06/fractures.d ex06/v3206.t
	cd ex06 ; ./job06.sh
example_07.ps: ex07/job07.sh ex07/fz.xy ex07/isochron.xy ex07/quakes.xym ex07/ridge.xy
	cd ex07 ; ./job07.sh
example_08.ps: ex08/job08.sh ex08/guinea_bay.nc
	cd ex08 ; ./job08.sh
example_09.ps: ex09/job09.sh ex09/all.xys ex09/fz.xy ex09/ridge.xy ex09/track_d.107.xys ex09/track_d.109.xys ex09/track_d.111.xys \
ex09/track_d.137.xys ex09/track_d.139.xys ex09/track_d.165.xys ex09/track_d.167.xys ex09/track_d.193.xys ex09/track_d.195.xys ex09/track_d.197.xys \
ex09/track_d.21.xys ex09/track_d.223.xys ex09/track_d.225.xys ex09/track_d.23.xys ex09/track_d.25.xys ex09/track_d.251.xys ex09/track_d.253.xys \
ex09/track_d.279.xys ex09/track_d.281.xys ex09/track_d.283.xys ex09/track_d.309.xys ex09/track_d.311.xys ex09/track_d.337.xys ex09/track_d.339.xys \
ex09/track_d.365.xys ex09/track_d.367.xys ex09/track_d.369.xys ex09/track_d.395.xys ex09/track_d.397.xys ex09/track_d.423.xys ex09/track_d.425.xys \
ex09/track_d.427.xys ex09/track_d.451.xys ex09/track_d.453.xys ex09/track_d.455.xys ex09/track_d.481.xys ex09/track_d.483.xys \
ex09/track_d.49.xys ex09/track_d.51.xys ex09/track_d.53.xys ex09/track_d.79.xys ex09/track_d.81.xys
	cd ex09 ; ./job09.sh
example_10.ps: ex10/job10.sh ex10/agu2013.txt
	cd ex10 ; ./job10.sh
example_11.ps: ex11/job11.sh ex11/cut-here.dat ex11/rays.dat
	cd ex11 ; ./job11.sh
example_12.ps: ex12/job12.sh ex12/table_5.11
	cd ex12 ; ./job12.sh
example_13.ps: ex13/job13.sh
	cd ex13 ; ./job13.sh
example_14.ps: ex14/job14.sh ex14/table_5.11
	cd ex14 ; ./job14.sh
example_15.ps: ex15/job15.sh
	cd ex15 ; ./job15.sh
example_16.ps: ex16/job16.sh ex16/circuit.ras ex16/ex16.cpt ex16/table_5.11
	cd ex16 ; ./job16.sh
example_17.ps: ex17/job17.sh ex17/india_geoid.nc ex17/india_topo.nc
	cd ex17 ; ./job17.sh
example_18.ps: ex18/job18.sh ex18/AK_gulf_grav.nc
	cd ex18 ; ./job18.sh
example_19.ps: ex19/job19.sh ex19/circuit.ras
	cd ex19 ; ./job19.sh
example_20.ps: ex20/job20.sh ex20/bullseye.def
	cd ex20 ; ./job20.sh
example_21.ps: ex21/job21.sh ex21/RHAT_price.csv
	cd ex21 ; ./job21.sh
example_22.ps: ex22/job22.sh ex22/USGS.ras ex22/neic_quakes.d
	cd ex22 ; ./job22.sh
example_23.ps: ex23/job23.sh
	cd ex23 ; ./job23.sh
example_24.ps: ex24/job24.sh ex24/oz_quakes.d
	cd ex24 ; ./job24.sh
example_25.ps: ex25/job25.sh
	cd ex25 ; ./job25.sh
example_26.ps: ex26/job26.sh
	cd ex26 ; ./job26.sh
example_27.ps: ex27/job27.sh ex27/tasman_grav.nc
	cd ex27 ; ./job27.sh
example_28.ps: ex28/job28.sh ex28/Kilauea.utm.nc
	cd ex28 ; ./job28.sh
example_29.ps: ex29/job29.sh
	cd ex29 ; ./job29.sh
example_30.ps: ex30/job30.sh ex29/mars370.in
	cd ex30 ; ./job30.sh

anim_01.ps: anim01/anim_01.sh
	cd anim01 ; ./anim_01.sh
anim_02.ps: anim02/anim_02.sh
	cd anim02 ; ./anim_02.sh
anim_03.ps: anim03/anim_03.sh anim03/Iceland.nc
	cd anim03 ; ./anim_03.sh
anim_04.ps: anim04/anim_04.sh anim04/USEast_Coast.nc
	cd anim04 ; ./anim_04.sh

=== src/dbase/Makefile ===
#	$Id: Makefile 9545 2011-07-27 19:31:54Z pwessel $
#
#	makefile for dbase directory
#
# Uncomment SWAP to build in byte-order swapping of all data
#SWAP	= -DSWAP_ME
#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

GMTSRCDIR = ../
include $(GMTSRCDIR)config.mk
include $(GMTSRCDIR)common.mk

DEFINES		= $(SWAP)
INCLUDES	= -I$(srcdir) $(NETCDF_INC) $(GDAL_INC)

PROGS_O		= grdraster.o
MAN1		= $(PROGS_O:.o=.1)

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		$(PROGS)

install:	all
		$(INSTALL) $(PROGS) $(bindir)

uninstall:
		cd $(bindir); \rm -f $(PROGS)

install-man:	$(MAN1)
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)

spotless::	clean

clean:	
		\rm -f *.o *% $(PROGS)

#-------------------------------------------------------------------------------
#	object file dependencies
#-------------------------------------------------------------------------------

$(PROGS_O):	$(GMT_H)

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------

grdraster$(EXE):	grdraster.o

$(PROGS):
		$(CC) $(LDFLAGS) $(@:.exe=).o $(GMT_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

=== src/gshhg/Makefile ===
# $Id: Makefile 9817 2012-04-29 22:15:19Z pwessel $ # # makefile for gshhg directory
# Does not depend on GMT src or libraries
#
#-------------------------------------------------------------------------------
# !! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

GMTSRCDIR = ../
include $(GMTSRCDIR)config.mk
include $(GMTSRCDIR)common.mk

PROGS_O		= gshhg.o gshhg_dp.o gshhgtograss.o
MAN1		= $(PROGS_O:.o=.1)

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		$(PROGS)

install:	all
		$(INSTALL) $(PROGS) $(bindir)

uninstall:
		cd $(bindir); \rm -f $(PROGS)

install-man:	$(MAN1)
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)

spotless::	clean

clean:	
		\rm -f *.o *% $(PROGS)

#-------------------------------------------------------------------------------
#	object file dependencies
#-------------------------------------------------------------------------------

$(PROGS_O):	gshhg.h

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------

gshhg$(EXE):		gshhg.o
gshhg_dp$(EXE):		gshhg_dp.o
gshhgtograss$(EXE):	gshhgtograss.o

$(PROGS):
		$(CC) $(LDFLAGS) $(@:.exe=).o $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

=== src/imgsrc/Makefile ===
#	$Id: Makefile 9545 2011-07-27 19:31:54Z pwessel $
#
#
#	makefile for imgsrc directory
#
#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

GMTSRCDIR = ../
include $(GMTSRCDIR)config.mk
include $(GMTSRCDIR)common.mk

INCLUDES	= -I$(srcdir) $(NETCDF_INC) $(GDAL_INC)

PROGS_O		= img2mercgrd.o
MAN1		= $(PROGS_O:.o=.1) img2grd.1 img2google.1

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		$(PROGS)

install:	all
		$(INSTALL) $(PROGS) img2grd img2google $(bindir)

uninstall:
		cd $(bindir); \rm -f $(PROGS) img2grd img2google

install-man:	$(MAN1)
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)

spotless::	clean

clean:	
		\rm -f *.o *% $(PROGS)

#-------------------------------------------------------------------------------
#	object file dependencies
#-------------------------------------------------------------------------------

$(PROGS_O) gmt_imgsubs.o:	$(GMT_H) gmt_imgsubs.h

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------

$(PROGS):	$(PROGS_O) gmt_imgsubs.o $(LIBGMT)
		$(CC) $(LDFLAGS) img2mercgrd.o gmt_imgsubs.o $(GMT_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

=== src/meca/Makefile ===
#       $Id: Makefile 9545 2011-07-27 19:31:54Z pwessel $
#
#	makefile for meca directory
#	meca must be installed in the gmt/src directory or
#	you must fix the -L -I for the gmt-dependencies.
#
#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

GMTSRCDIR = ../
include $(GMTSRCDIR)config.mk
include $(GMTSRCDIR)common.mk

INCLUDES	= -I$(srcdir) $(NETCDF_INC) $(GDAL_INC)
ALLLIB		= $(GMTPS_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS)

PROGS_O		= psmeca.o pscoupe.o pspolar.o psvelo.o
MAN1		= $(PROGS_O:.o=.1)

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		$(PROGS)

install:	all
		$(INSTALL) $(PROGS) $(bindir)

uninstall:
		cd $(bindir); \rm -f $(PROGS)

install-man:	$(MAN1)
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)

spotless::	clean

clean:
		\rm -f *.o *% $(PROGS)

#-------------------------------------------------------------------------------
#	object file dependencies
#-------------------------------------------------------------------------------

$(PROGS_O):	$(GMT_H) $(PS_H) meca.h nrutil.h submeca.h utilmeca.h utilstrain.h utilvelo.h

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------

psmeca$(EXE): 	psmeca.o utilmeca.o nrutil.o $(LIBGMTPS)
		$(CC) $(LDFLAGS) psmeca.o utilmeca.o nrutil.o $(ALLLIB) -o $@
		$(COMPRESS) $@

pscoupe$(EXE):	pscoupe.o utilmeca.o submeca.o distaz.o nrutil.o $(LIBGMTPS)
		$(CC) $(LDFLAGS) pscoupe.o utilmeca.o submeca.o distaz.o nrutil.o $(ALLLIB) -o $@
		$(COMPRESS) $@

pspolar$(EXE): 	pspolar.o $(LIBGMTPS)
		$(CC) $(LDFLAGS) pspolar.o $(ALLLIB) -o $@
		$(COMPRESS) $@

psvelo$(EXE):	psvelo.o utilvelo.o utilstrain.o $(LIBGMTPS)
		$(CC) $(LDFLAGS) psvelo.o utilvelo.o utilstrain.o $(ALLLIB) -o $@
		$(COMPRESS) $@

=== src/mex/Makefile ===
#		$Id: Makefile 9545 2011-07-27 19:31:54Z pwessel $
#
#	Makefile for gmt <--> octave/matlab interface programs
#	Use with GMT 4.3.0 or later
#
# Note that you must have write permission to mkdir and write to $MEX_XDIR and $MEX_MDIR
# 
#----------------------------------------------------------------------------
#	The rest should should be ok. NO EDITING BEYOND HERE, unless your
#	Octave/Matlab setup was not auto-detected by the configure file
#	If so, please let us know what you needed to change.
#----------------------------------------------------------------------------

GMTSRCDIR	= ../
include $(GMTSRCDIR)config.mk
include $(GMTSRCDIR)common.mk

.SUFFIXES:	.m .$(MEX_EXT)

ALLLIB     	= $(GMT_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(MEX_LIB)
FLAGS		= -I$(srcdir) $(MEX_INC) $(NETCDF_INC) $(GDAL_INC)

PROGS_M		= grdinfo.m grdread.m grdwrite.m imgread.m
PROGS_MEX	= grdinfo.$(MEX_EXT) grdread.$(MEX_EXT) grdwrite.$(MEX_EXT)

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		$(PROGS_MEX)

install:	all
		$(INSTALL) -d $(MEX_XDIR)
		if [ -w $(MEX_XDIR) ] ; then \
			$(INSTALL) $(PROGS_MEX) $(MEX_XDIR); \
		else \
			$(INSTALL) $(PROGS_MEX) $(bindir); \
		fi
		$(INSTALL) -d $(MEX_MDIR)
		if [ -w $(MEX_MDIR) ] ; then \
			$(INSTALL) -m 644 $(PROGS_M) $(MEX_MDIR); \
		else \
			$(INSTALL) -m 644 $(PROGS_M) $(bindir); \
		fi

uninstall:
		if [ -w $(MEX_XDIR) ] ; then \
			cd $(MEX_XDIR); \
		else \
			cd $(bindir); \
		fi; \rm -f $(PROGS_MEX)
		if [ -w $(MEX_MDIR) ] ; then \
			cd $(MEX_MDIR); \
		else \
			cd $(bindir); \
		fi; \rm -f $(PROGS_M)

install-man uninstall-man manpages:	;

spotless:	clean

clean:
		\rm -f .gmt* *% *.o .mexrc.sh $(PROGS_MEX)

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------

grdinfo.$(MEX_EXT):	$(GMT_H) $(LIBGMT) grdinfo.c grdinfo.m
		$(MEX_BLD) $(FLAGS) grdinfo.c $(ALLLIB)

grdread.$(MEX_EXT):	$(GMT_H) $(LIBGMT) grdread.c grdread.m
		$(MEX_BLD) $(FLAGS) grdread.c $(ALLLIB)

grdwrite.$(MEX_EXT):	$(GMT_H) $(LIBGMT) grdwrite.c grdwrite.m
		$(MEX_BLD) $(FLAGS) grdwrite.c $(ALLLIB)

=== src/mgd77/Makefile ===
#	$Id: Makefile 10060 2013-06-24 00:04:12Z pwessel $
#
#		Makefile for GMT mgd77 supplements
#
#	The mgd77 supplements are assumed to be installed in a subdirectory
#	under the main gmt/src directory and will refer to the gmt libraries
#	and makefile macros in the parent directory.
#	To compile/link them, try "make all", then "make install".
#	When done, clean out directory with "make clean".
#
#	Authors:	Paul Wessel & Mike Chandler, SOEST, U. of Hawaii
#
#	Date:	20-JUN-2008
#
#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

GMTSRCDIR = ../
include $(GMTSRCDIR)config.mk
include $(GMTSRCDIR)common.mk

INCLUDES	= -I$(srcdir) $(NETCDF_INC) $(GDAL_INC)

LIB_O		= mgd77.o
LIB_H		= mgd77.h mgd77_functions.h mgd77defaults.h mgd77_recalc.h cm4_functions.h mgd77_init.h
LIB		= libmgd77.$(LIBEXT)

PROGS_H		= mgd77_IGF_coeffs.h mgd77sniffer.h mgd77snifferdefaults.h mgd77magref.h mgd77_codes.h
PROGS_O		= mgd77convert.o mgd77header.o mgd77info.o mgd77list.o mgd77path.o \
		  mgd77manage.o mgd77sniffer.o mgd77magref.o
PROGSPS_O	= mgd77track.o
MAN1		= $(PROGS_O:.o=.1) $(PROGSPS_O:.o=.1)

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		$(LIB) $(PROGS) $(PROGSPS)

install:	all
		$(INSTALL) $(PROGS) $(PROGSPS) $(bindir)
		if [ ! $(includedir) = $(srcdir) ]; then \
			$(INSTALL) -d $(includedir); \
			$(INSTALL) -m 644 $(LIB_H) $(includedir); \
		fi
		if [ ! $(libdir) = $(srcdir) ]; then \
			$(INSTALL) -d $(libdir); \
			$(INSTALL) -m 644 $(LIB:.$(LIBEXT)=.a) $(libdir); \
			if [ ! $(LIBEXT) = a ]; then $(INSTALL) -m 755 $(LIB) $(libdir); fi \
		fi
		if [ $(LIBEXT) != a ] && [ $(SL) != $(SL_VERSION) ]; then \
			cd $(libdir) ; \
			\mv -f libmgd77.$(SL) libmgd77.$(SL_VERSION) ; \
			$(LN_S) libmgd77.$(SL_VERSION) libmgd77.$(SL) ; \
		fi

uninstall:
		cd $(bindir); \rm -f $(PROGS) $(PROGSPS)
		if [ ! $(includedir) = $(srcdir) ]; then \
			cd $(includedir); \rm -f $(LIB_H);\
		fi
		if [ ! $(libdir) = $(srcdir) ]; then \
			cd $(libdir); \rm -f libmgd77.a libmgd77.$(SL) libmgd77.$(SL_VERSION); \
		fi

install-man:	$(MAN1)
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)

clean:
		\rm -f *% *.o *.a *.$(SL) $(PROGS) $(PROGSPS)

spotless::	clean

#-------------------------------------------------------------------------------
#	object file dependencies
#-------------------------------------------------------------------------------

$(PROGS_O):	$(LIB_H) $(PROGS_H) $(GMT_H)
$(PROGSPS_O):	$(LIB_H) $(PROGS_H) $(GMT_H) $(PS_H)
$(LIB_O):	$(LIB_H) $(GMT_H) cm4_functions.c

#-------------------------------------------------------------------------------
#	library
#-------------------------------------------------------------------------------

.SUFFIXES:	.$(SL)

libmgd77.a:	$(LIB_O)
		$(AR) cvur $@ $?
		$(RANLIB) $@

libmgd77.$(SL):	libmgd77.a
		$(LD) $(LD_OPT) $(LIB_O) $(GMT_LIB) $(NETCDF_LIB) $(LIBS) -o $@

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------
mgd77convert$(EXE):	mgd77convert.o
mgd77header$(EXE):	mgd77header.o
mgd77info$(EXE):	mgd77info.o
mgd77list$(EXE):	mgd77list.o
mgd77path$(EXE):	mgd77path.o
mgd77manage$(EXE):	mgd77manage.o
mgd77sniffer$(EXE):	mgd77sniffer.o
mgd77magref$(EXE):	mgd77magref.o
mgd77track$(EXE):	mgd77track.o

$(PROGS):	$(LIB) $(LIBGMT)
		$(CC) $(LDFLAGS) $(@:.exe=).o -L. -lmgd77 $(GMT_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

$(PROGSPS):	$(LIB) $(LIBGMTPS)
		$(CC) $(LDFLAGS) $(@:.exe=).o -L. -lmgd77 $(GMTPS_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

=== src/mgg/Makefile ===
#	$Id: Makefile 9545 2011-07-27 19:31:54Z pwessel $
#
#		Makefile for GMT mgg supplements
#
#	The mgg supplements are assumed to be installed in a subdirectory
#	under the main gmt/src directory and will refer to the gmt libraries
#	and makefile macros in the parent directory.
#	To compile/link them, try "make all", then "make install".
#	When done, clean out directory with "make clean".
#
#	Authors:	Paul Wessel, SOEST, U. of Hawaii
#			Walter H. F. Smith, NOAA
#
#	Date:	05-NOV-2006
#
#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

GMTSRCDIR = ../
include $(GMTSRCDIR)config.mk
include $(GMTSRCDIR)common.mk

INCLUDES	= -I$(srcdir) -I../x_system $(NETCDF_INC) $(GDAL_INC)

LIB_O		= gmt_mgg.o
LIB_H		= gmt_mgg.h carter.h
LIB		= libgmt_mgg.$(LIBEXT)

PROGS_H		= ../x_system/x_system.h
PROGS_O		= binlegs.o gmt2bin.o gmt2dat.o dat2gmt.o gmtinfo.o gmtlegs.o gmtlist.o gmtpath.o mgd77togmt.o
PROGSPS_O	= gmttrack.o
MAN1		= $(PROGS_O:.o=.1) $(PROGSPS_O:.o=.1)

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:		$(LIB) $(PROGS) $(PROGSPS)

install:	all
		$(INSTALL) $(PROGS) $(PROGSPS) $(bindir)
		if [ ! $(includedir) = $(srcdir) ]; then \
			$(INSTALL) -d $(includedir); \
			$(INSTALL) -m 644 $(LIB_H) $(includedir); \
		fi
		if [ ! $(libdir) = $(srcdir) ]; then \
			$(INSTALL) -d $(libdir); \
			$(INSTALL) -m 644 $(LIB:.$(LIBEXT)=.a) $(libdir); \
			if [ ! $(LIBEXT) = a ]; then $(INSTALL) -m 755 $(LIB) $(libdir); fi \
		fi
		if [ $(LIBEXT) != a ] && [ $(SL) != $(SL_VERSION) ]; then \
			cd $(libdir) ; \
			\mv -f libgmt_mgg.$(SL) libgmt_mgg.$(SL_VERSION) ; \
			$(LN_S) libgmt_mgg.$(SL_VERSION) libgmt_mgg.$(SL) ; \
		fi

uninstall:
		cd $(bindir); \rm -f $(PROGS) $(PROGSPS)
		if [ ! $(includedir) = $(srcdir) ]; then \
			cd $(includedir); \rm -f $(LIB_H);\
		fi
		if [ ! $(libdir) = $(srcdir) ]; then \
			cd $(libdir); \rm -f libgmt_mgg.a libgmt_mgg.$(SL) libgmt_mgg.$(SL_VERSION); \
		fi

install-man:	$(MAN1)
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)

clean:
		\rm -f *.o *% $(PROGS) $(PROGSPS)

spotless::	clean
		\rm -f $(LIB)

#-------------------------------------------------------------------------------
#	object file dependencies
#-------------------------------------------------------------------------------

$(PROGS_O):	$(LIB_H) $(PROGS_H) $(GMT_H)
$(PROGSPS_O):	$(LIB_H) $(PROGS_H) $(GMT_H) $(PS_H)
$(LIB_O):	$(LIB_H) $(GMT_H)

#-------------------------------------------------------------------------------
#	library
#-------------------------------------------------------------------------------

.SUFFIXES:	.$(SL)

libgmt_mgg.a:	$(LIB_O)
		$(AR) cvur $@ $?
		$(RANLIB) $@

libgmt_mgg.$(SL):	libgmt_mgg.a
		$(LD) $(LD_OPT) $(LIB_O) $(GMT_LIB) $(NETCDF_LIB) $(LIBS) -o $@

#-------------------------------------------------------------------------------
#	program rules
#-------------------------------------------------------------------------------

binlegs$(EXE):		binlegs.o
gmt2bin$(EXE):		gmt2bin.o
gmt2dat$(EXE):		gmt2dat.o
dat2gmt$(EXE):		dat2gmt.o
gmtinfo$(EXE):		gmtinfo.o
gmtlegs$(EXE):		gmtlegs.o
gmtlist$(EXE):		gmtlist.o
gmtpath$(EXE):		gmtpath.o
mgd77togmt$(EXE):	mgd77togmt.o
gmttrack$(EXE):		gmttrack.o

$(PROGS):	$(LIB) $(LIBGMT)
		$(CC) $(LDFLAGS) $(@:.exe=).o -L. -lgmt_mgg $(GMT_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

$(PROGSPS):	$(LIB) $(LIBGMTPS)
		$(CC) $(LDFLAGS) $(@:.exe=).o -L. -lgmt_mgg $(GMTPS_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

=== src/misc/Makefile ===
#	$Id: Makefile 9545 2011-07-27 19:31:54Z pwessel $
#	makefile for misc directory
#
#-------------------------------------------------------------------------------
#	!! STOP EDITING HERE, THE REST IS FIXED !!
#-------------------------------------------------------------------------------

GMTSRCDIR = ../
include $(GMTSRCDIR)config.mk
include $(GMTSRCDIR)common.mk

INCLUDES	= -I$(srcdir) $(NETCDF_INC) $(GDAL_INC)

PROGS_H		=
PROGS_O		= dimfilter.o gmt2kml.o kml2gmt.o gmtdigitize.o gmtdp.o gmtstitch.o nc2xy.o psmegaplot.o
PROGSPS_O	= makepattern.o
MAN1		= $(PROGS_O:.o=.1) $(PROGSPS_O:.o=.1)

#-------------------------------------------------------------------------------
#	software targets
#-------------------------------------------------------------------------------

all:            $(PROGS) $(PROGSPS)

install:	all
		$(INSTALL) $(PROGS) $(PROGSPS) $(bindir)

uninstall:
		cd $(bindir); \rm -f $(PROGS) $(PROGSPS)

install-man:	$(MAN1)
		$(INSTALL) -m 644 $(MAN1) $(mandir)/man1

uninstall-man:
		cd $(mandir)/man1; \rm -f $(MAN1)

spotless::	clean

clean:	
		\rm -f *.o *% $(PROGS) $(PROGSPS)

#-------------------------------------------------------------------------------
#       object file dependencies
#-------------------------------------------------------------------------------

$(PROGS_O):	$(GMT_H) $(PROGS_H)
$(PROGSPS_O):	$(GMT_H) $(PS_H) $(PROGS_H)

#-------------------------------------------------------------------------------
#       program rules
#-------------------------------------------------------------------------------

dimfilter$(EXE):	dimfilter.o
gmt2kml$(EXE):		gmt2kml.o
kml2gmt$(EXE):		kml2gmt.o
gmtdigitize$(EXE):	gmtdigitize.o
gmtdp$(EXE):		gmtdp.o
gmtstitch$(EXE):	gmtstitch.o
nc2xy$(EXE):		nc2xy.o
psmegaplot$(EXE):	psmegaplot.o
makepattern$(EXE):	makepattern.o

$(PROGS):	$(LIBGMT)
		$(CC) $(LDFLAGS) $(@:.exe=).o $(GMT_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

$(PROGSPS):	$(LIBGMTPS)
		$(CC) $(LDFLAGS) $(@:.exe=).o $(GMTPS_LIB) $(NETCDF_LIB) $(GDAL_LIB) $(LIBS) -o $@
		$(COMPRESS) $@

=== debian/changelog ===
gmt (4.5.11-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:25:32 +0000

gmt (4.5.11-1) unstable; urgency=low

  * New upstream release for the 4.x series.
  * Added patch gmt_io.c, mgd77header.c and gmt_proj.c to avoid nested comments 
    use while -pedantic mode is enabled.
  * Added patch c++comments to remove C++ style comments in pure C code. This
    is currently deprecated and should be avoided when strict option 
    like -pedantic are used.
  *  

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Nov 2013 15:57:54 +0100

=== debian/control ===
Source: gmt
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Torsten Landschoff <torsten@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: libnetcdf-dev, debhelper (>= 8), bzip2, libxmu-headers,
 libxaw7-dev, autotools-dev, octave-pkg-dev (>= 1.0.0)
Build-Depends-Indep: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://gmt.soest.hawaii.edu/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/gmt.git
Vcs-Git: git://git.debian.org/git/pkg-grass/gmt.git

Package: gmt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gmt-manpages
Conflicts: gmt-manpages
Recommends: gmt-gshhs-data | gmt-gshhs-low (>= 2.2.0), gmt-doc
Suggests: gmt-tutorial-pdf, gmt-doc-pdf, gmt-examples
Description: Generic Mapping Tools
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: libgmt4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gmt
Description: Generic Mapping Tools Library
 GMT libraries allow manipulating geographic and Cartesian data sets
 (including filtering, trend fitting, gridding, projecting, etc.) and
 producing Encapsulated PostScript File (EPS) illustrations ranging from
 simple x-y plots via contour maps to artificially illuminated surfaces
 and 3-D perspective views. 

Package: libgmt-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libgmt4 (=${binary:Version}), libnetcdf-dev, ${misc:Depends}
Suggests: gmt
Description: Generic Mapping Tools Library
 These set of libraries allow manipulating geographic and Cartesian data sets
 (including filtering, trend fitting, gridding, projecting, etc.) and
 producing Encapsulated PostScript File (EPS) illustrations ranging from
 simple x-y plots via contour maps to artificially illuminated surfaces
 and 3-D perspective views. 
 .
 This package contains the files used for development of programs that
 use the GMT libraries (headers, static objects).

Package: gmt-doc-pdf
Architecture: all
Section: doc
Suggests: pdf-viewer
Depends: ${misc:Depends}
Description: PDF docs for GMT, the Generic Mapping Tools
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: gmt-tutorial-pdf
Architecture: all
Section: doc
Suggests: pdf-viewer
Depends: ${misc:Depends}
Description: Tutorial for GMT, the Generic Mapping Tools (PDF)
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: gmt-doc
Architecture: all
Section: doc
Suggests: www-browser
Depends: ${misc:Depends}
Conflicts: gmt (<< 4.5.7-1~)
Description: HTML documentation for GMT, the Generic Mapping Tools
 GMT is a collection of UNIX tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 
 .
 This package contains the HTML documentation for GMT, consisting of 
   - the tutorial
   - the cookbook and technical reference
   - the manpages converted to HTML.

Package: gmt-examples
Architecture: all
Section: doc
Suggests: gmt
Depends: ${misc:Depends}
Description: Example scripts illustrating the use of GMT
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries. 

Package: octave-gmt
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, ${octave:Depends}
Suggests: gmt
Description: Support of GMT grid files for Octave
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color. 
 .
 This package provides an interface for GNU Octave to query and read/write 
 GMT grid files.

=== debian/rules ===
#! /usr/bin/make -f

CFLAGS := -fPIC -ansi -pedantic

# Some special build options
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
   CFLAGS += -g -O0
   LDFLAGS += -g
else
   CFLAGS += -O2
endif

ifneq (,$(findstring verbose,$(DEB_BUILD_OPTIONS)))
   DH_VERBOSE=1
   export DH_VERBOSE
endif

build:		build-stamp
install:	install-stamp
binary:		binary-arch binary-indep

PATHCONFIG	:= --prefix=/usr/lib/gmt
DESTDIR		:= $(CURDIR)/debian/tmp
PATHVARS	:= prefix=$(DESTDIR)/usr/lib/gmt

build-stamp: 
	dh_testdir
	dh_prep
	
	# Use current autotools helpers
	-test -r /usr/share/misc/config.sub && \
		mv config.sub config.sub.original && \
		cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
		mv config.guess config.guess.original && \
		cp -f /usr/share/misc/config.guess config.guess
	
	$(CURDIR)/configure \
		--enable-shared $(PATHCONFIG) --disable-mex --enable-netcdf=/usr \
		--enable-octave \
	    --enable-mex-mdir=$(shell octave-config --m-site-dir) \
		--enable-mex-xdir=$(shell octave-config --oct-site-dir) 
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" all suppl 
	touch $@

install-stamp: build-stamp
	dh_testdir
	dh_testroot
	
	# Very tricky: GMT does not conform to FHS. As it proved to be very
	# time consuming to bend this beast I'll create a fake GMT tree
	# which links to the Debian accepted locations and install into
	# that tree.
	mkdir -p  $(DESTDIR)/usr/lib/gmt $(DESTDIR)/usr/share/gmt \
		$(DESTDIR)/usr/share/man $(DESTDIR)/usr/include/gmt \
		$(DESTDIR)/usr/share/doc $(DESTDIR)/etc/gmt $(DESTDIR)/usr/bin
	ln -fs ../../share/man $(DESTDIR)/usr/lib/gmt/man
	ln -fs ../../include/gmt $(DESTDIR)/usr/lib/gmt/include
	ln -fs ../../share/gmt $(DESTDIR)/usr/lib/gmt/share
	
	$(MAKE) $(PATHVARS) install-all
	$(MAKE) -C src/mex DESTDIR=$(DESTDIR) install
	-find $(DESTDIR)/usr/lib/octave -name "*.mex" -exec rename 's/\.mex/.oct/' {} \;
	
	# Okay, we still have to move the documentation (the trick above does
	# not work because the Makefile would try to overwrite the link with
	# a directory). So move the docs and link them to where GMT will look
	# for them. 
	mv $(DESTDIR)/usr/lib/gmt/share/doc/gmt $(DESTDIR)/usr/share/doc/
	ln -fs ../../../share/doc/gmt $(DESTDIR)/usr/lib/gmt/share/doc/gmt
	
	# Configuration files are still at the wrong place, let's fix this
	mv $(DESTDIR)/usr/share/gmt/conf/*.conf $(DESTDIR)/etc/gmt/
	install -m644 debian/coastline.conf $(DESTDIR)/etc/gmt/
	for file in $(DESTDIR)/etc/gmt/*.conf; do \
		ln -fs /etc/gmt/`basename $$file` $(DESTDIR)/usr/share/gmt/`basename $$file`; \
	done
	
	# GMT wrapper does not help in /usr/lib/gmt/bin (not in path by default)
	# So: Move it to /usr/bin and patch it a bit locally to alter the PATH var.
	# Also use 'pager' instead of more as default pager in the script.
	sed -e 's/^exec /PATH=\$$PATH:\$${exec_prefix}\/bin exec /' \
	    -e 's/:-more/:-pager/' \
	    	$(DESTDIR)/usr/lib/gmt/bin/GMT >$(DESTDIR)/usr/bin/GMT
	rm -f $(DESTDIR)/usr/lib/gmt/bin/GMT
	
	# Move the manpages directory into the right place...
	for section in 1 3 5; do \
		mkdir -p $(DESTDIR)/usr/share/man/man$${section}; \
		for manpage in $(DESTDIR)/usr/lib/gmt/share/man/man$${section}/*.$${section}; do \
			sed -e "s/^\.TH \(.*\) $${section}/\.TH \1 $${section}gmt/" $${manpage}|gzip \
			       >$(DESTDIR)/usr/share/man/man$${section}/`basename $${manpage}`gmt.gz; \
			rm -f $${manpage}; \
		done; \
	done
	rm -rf $(DESTDIR)/usr/share/gmt/man
	
	touch $@

binary-arch: install-stamp
	dh_testdir -a
	dh_testroot -a
	dh_install --list-missing 
	dh_installchangelogs -a
	dh_installchangelogs -pgmt ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_strip -a
	dh_link -a
	dh_compress -a -X.pdf
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a -l$(DESTDIR)/usr/lib/gmt/lib
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
	

binary-indep: install-stamp
	dh_testdir -i
	dh_testroot -i
	dh_install --list-missing 
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installman -i
	dh_strip -i
	dh_link -i
	dh_compress -i -X.pdf
	# Uncompress examples stuff 
	find  $(CURDIR)/debian/gmt-examples/usr/share/doc/gmt-examples/examples -name "*.gz" -exec gunzip {} \;
	# Remove +x 
	find  $(CURDIR)/debian/gmt-examples/usr/share/doc/gmt-examples/examples -name "*.bat" -exec chmod -x {} \;
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

clean:
	dh_testdir
	dh_testroot
	rm -f install-stamp build-stamp
	# Reset upstream autotools helpers
	[ ! -f config.sub.original ] || mv -f config.sub.original config.sub 
	[ ! -f config.guess.original ] || mv -f config.guess.original config.guess
	[ ! -f Makefile ] || $(MAKE) distclean || true
	# Remove a few files still around after upstream cleaning
	rm -f src/mgg/libgmt_mgg.a \
		  share/conf/gmt.conf \
		  share/conf/gmtdefaults_SI \
		  share/conf/gmtdefaults_US src/isogmt
	dh_clean
